Subject: Re: [nfsv4] Question on Delegation CB_RECALL and DELEGRETURN

From: Rick Macklem <[email-masked]>
Date: Tue, 4 Jun 2013 18:46:32 -0400 (EDT)

I just looked and the FreeBSD NFSv4 server actually does something
closer to your quoted sec. w.r.t. delegations than I recalled (no pun;-).

It will wait 2 * lease_duration (but that can increase to 6 * lease_duration
if it is seeing writes for the file from the client) before discarding the
delegation without seeing a DELEGRETURN.

A conflicting Open will also cause all state to be expired if the lease for
the client holding the delegation has expired.

Sorry for the confusion, rick